/* mbed Example Program
 * Copyright (c) 2006-2014 ARM Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "mbed.h"
#include "rtos.h"
#include "mDot.h"
#include "ChannelPlans.h"
 
DigitalOut led1(LED2);
DigitalOut led2(XBEE_RSSI);
void flip();
 
 
//RtosTimer flipper(&flip);
// 
//void flip() {
//    led2 = !led2;
//    flipper.start(2000);
//}
// 

Ticker flipper;
// Timeout flipper;
 
void flip() {
    led2 = !led2;    
}
 
 
int main() {
    
    mDot* dot;
    
    lora::ChannelPlan* plan = new lora::ChannelPlan_US915();
    
    // get a mDot handle
    dot = mDot::getInstance(plan);
    
    dot->setJoinMode(mDot::MANUAL);
    
    led2 = 1;    
//    flipper.start(2000);

    flipper.attach(&flip, 2.0); // setup flipper to call flip after 2 seconds
 
    // spin in a main loop. flipper will interrupt it to call flip
    while(1) {
        led1 = !led1;
        wait(0.2);
    }
}